Squads
This endpoint is used to get all the squads details of your organization. Requires access_token as a Bearer {{token}} in the Authorization header with squad-read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v4/squads?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": "text",
"org_id": "text",
"team_id": "text",
"name": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
],
"createdAt": "text",
"createdBy": "text",
"updatedAt": "text",
"updatedBy": "text"
}
],
"pageInfo": {
"pageSize": 1,
"hasNext": true,
"hasPrev": true,
"nextCursor": "text",
"prevCursor": "text"
}
}This endpoint is used to create a new squad. The role will be considered only if your organization is on the OBAC permission model; otherwise, the role field will be ignored, and only the member will be added to the squad.
Requires access_token as a Bearer {{token}} in the Authorization header with squad-create scope.
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v4/squads HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78
{
"owner_id": "text",
"name": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
]
}{
"data": {
"organization_id": "text",
"owner_id": "text",
"id": "text",
"name": "text",
"slug": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
],
"created_at": "text",
"created_by": "text"
}
}This endpoint is used to get the squads details by id. Requires access_token as a Bearer {{token}} in the Authorization header with squad-read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v4/squads/{squadID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "text",
"org_id": "text",
"team_id": "text",
"name": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
],
"createdAt": "text",
"createdBy": "text",
"updatedAt": "text",
"updatedBy": "text"
}
}This endpoint is used to update squad.
The role will be considered only if your organization is on the OBAC permission model; otherwise, the role field will be ignored, and only the member will be added to the squad. Requires access_token as a Bearer {{token}} in the Authorization header with squad-create scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v4/squads/{squadID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"name": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
]
}{
"data": {
"id": "text",
"org_id": "text",
"team_id": "text",
"name": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
],
"createdAt": "text",
"createdBy": "text",
"updatedAt": "text",
"updatedBy": "text"
}
}This endpoint is used to delete the squad. Squad should not be assigned to any incident or part of any escalation policy. Requires access_token as a Bearer {{token}} in the Authorization header with squad-update scope.
There is no content to send for this request, but the headers may be useful.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v4/squads/{squadID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}This endpoint is used to update a squad member's role and is only accessible if your organization is using the OBAC permission model.
If you're attempting to update a member's role from 'owner' to 'member', and that 'owner' is the last squad owner, then the 'replaceWith' query parameter is required. Setting 'replaceWith' to 'member' will promote the member to the role of owner.
Requires access_token as a Bearer {{token}} in the Authorization header with squad-create scope.
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v4/squads/{squadID}/members/{memberID}?replaceWith=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"role": "text"
}{
"id": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
]
}This endpoint is used to update squad member's role.
If you're attempting to remove a member whose role is 'owner', and that 'owner' is the last squad owner, then the 'replaceWith' query parameter is required. Setting 'replaceWith' to 'member' will promote another member as the owner, and the specified member will be removed.
Requires access_token as a Bearer {{token}} in the Authorization header with squad-create scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v4/squads/{squadID}/members/{memberID}?replaceWith=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"members": [
{
"user_id": "text",
"role": "text"
}
]
}This endpoint is used to update squad's name. Requires access_token as a Bearer {{token}} in the Authorization header with squad-create scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v4/squads/{squadID}/name HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"data": {
"id": "text",
"name": "text"
}
}Last updated